Ask Your Question
0

Velodyne point cloud node doesn't work

asked 2016-03-15 08:58:54 -0500

b-sriram gravatar image

updated 2016-03-15 11:26:45 -0500

I have a 32 HDl and VLP 16. I built the velodyne package by compiling it from source as I wanted to use VLP-16 driver.

When I try to run the velodyne pointcloud node for the HDL 32, I get the following error

$ rosrun velodyne_pointcloud cloud_node _calibration:=32db.yaml
[ INFO] [1458049427.031892132]: correction angles: 32db.yaml
YAML Exception: yaml-cpp: error at line 0, column 0: bad conversion
[ERROR] [1458049427.036928149]: Unable to open calibration file: 32db.yaml
[ INFO] [1458049427.043593822]: Reconfigure Request
edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
1

answered 2016-03-19 15:01:37 -0500

joq gravatar image

This is apparently a bug caused by a recent source update affecting the YAML reader.

See issue #84.

edit flag offensive delete link more

Comments

It's fixed now in the mastersource.

joq gravatar image joq  ( 2016-03-22 12:39:44 -0500 )edit
1

answered 2016-03-16 02:09:54 -0500

mgruhler gravatar image

The YAML Exception points to an error in the calibration file (the YAML Execptions are somtime not very descriptive, so you have to figure out "manually" what the problem actually is).

Either, this is misconfigured (missing tags, expecting different fields, even stupid whitespace errors are somtimes a problem) or the file is simply not there at all. This is what the Unable to open calibration file points to.

Keep in mind, that if you do a rosrun, the working directory is the directory where you execute this command. I.e. it is looking for 32db.yaml in the directory you are currently.

(and as another option, it might also be a file permission problem)

edit flag offensive delete link more

Comments

hi,

thanks. But i think it has to do something with the yaml-cpp version

b-sriram gravatar image b-sriram  ( 2016-03-16 08:12:19 -0500 )edit

What operating system are you running, and what version of yaml-cpp does it have?

joq gravatar image joq  ( 2016-03-18 11:42:10 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-03-15 08:58:54 -0500

Seen: 1,212 times

Last updated: Mar 19 '16